summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-libs/libdvdnav/Manifest1
-rw-r--r--media-libs/libdvdnav/libdvdnav-6.1.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/media-libs/libdvdnav/Manifest b/media-libs/libdvdnav/Manifest
index b12d0c58e12..97f8d76efd9 100644
--- a/media-libs/libdvdnav/Manifest
+++ b/media-libs/libdvdnav/Manifest
@@ -1,2 +1,3 @@
DIST libdvdnav-6.0.0.tar.bz2 369605 BLAKE2B 911b786f1cf37d32b0516df9f3ae3c388ad352206e67f73f758984795459ced7507f1454747a205b64c2d1f42922ee26ee9d434499ceaf05053dfbeb4d7e52c7 SHA512 89d1e976d8f1cc92692e86e793403759b4d705682ba7418dcfd7dd3c38861238cead303fe4baa2059ebd7e9b82a77bbdbf32e50b20848e78939ee9e75d1b96d4
DIST libdvdnav-6.0.1.tar.bz2 378491 BLAKE2B 1baccf42bab3185584d1abc455f5b972115f1cf74a2b465b41c4858ccb26b351168b565b2dcdd5a15532fbbc090a233ab8e7fa5a3f7f77cbe9de5b22b4d31e11 SHA512 83a015821dacea702eb34abb7a940b9a263918a66fe711fe9a817754f25c2aa0afae3543b4d93673d1c93d3e7914e1b776c10ce50465516f4e3a3d419c15ad9f
+DIST libdvdnav-6.1.0.tar.bz2 370145 BLAKE2B c0bd54d94e58eeddcc422e24ef1b400775f28c0eff516db3cd13a5dfcfe103a122fca59734d73e83784b4f0b7ebebddaacf89709991f1485b55f897bf8de7fc7 SHA512 40ea50d818067a3178b4b09e4b95b0cc67d5ff88dbff2cbeee943d086c5f59a71a7aecc425ba35d7dbe5285d8b1ea099a439c0c80c5dca280687ac0cbdc57c71
diff --git a/media-libs/libdvdnav/libdvdnav-6.1.0.ebuild b/media-libs/libdvdnav/libdvdnav-6.1.0.ebuild
new file mode 100644
index 00000000000..945ffe1f209
--- /dev/null
+++ b/media-libs/libdvdnav/libdvdnav-6.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="Library for DVD navigation tools"
+HOMEPAGE="https://www.videolan.org/developers/libdvdnav.html"
+if [[ ${PV} = 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://code.videolan.org/videolan/libdvdnav.git"
+else
+ SRC_URI="https://downloads.videolan.org/pub/videolan/libdvdnav/${PV}/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static-libs"
+
+RDEPEND=">=media-libs/libdvdread-6.0.0[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}"
+# To get pkg.m4 for eautoreconf #414391
+BDEPEND="
+ virtual/pkgconfig
+"
+
+DOCS=( AUTHORS ChangeLog doc/dvd_structures doc/library_layout README TODO )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --enable-shared
+ $(use_enable static-libs static)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ find "${ED}" -type f -name "*.la" -delete || die
+}